Bug 213987 - enable ssl for ftp (CURLOPT_FTP_SSL, CURLOPT_FTPSSLAUTH)
enable ssl for ftp (CURLOPT_FTP_SSL, CURLOPT_FTPSSLAUTH)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 06:13 EST by Aurelien Bompard
Modified: 2008-05-06 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:41:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported fix for php-5.1.6 as in FC-5 and FC-6 (595 bytes, patch)
2006-11-04 06:13 EST, Aurelien Bompard
no flags Details | Diff

  None (edit)
Description Aurelien Bompard 2006-11-04 06:13:17 EST
Description of problem:
CURLOPT_FTP_SSL, CURLOPT_FTPSSLAUTH, and related options aren't registered in
ext/curl.c. Without these, you can't do any ssl-related ftp bits...


Version-Release number of selected component (if applicable):
php-5.1.6-1.1

How reproducible:
Always

Additional info:
This is a known php bug, fixed in version 5.2:
Bug : http://bugs.php.net/bug.php?id=38574
Fix : http://www.mail-archive.com/php-cvs@lists.php.net/msg25134.html
Comment 1 Aurelien Bompard 2006-11-04 06:13:17 EST
Created attachment 140348 [details]
Backported fix for php-5.1.6 as in FC-5 and FC-6
Comment 2 Bug Zapper 2008-04-04 00:24:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:41:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.